org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionDemandPool

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionDemandPool

    public class GridDhtPartitionDemandPool
    extends Object

Thread pool for requesting partitions from other nodes and populating local cache.

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionDemandPool(GridCacheContext<?,?> cctx, ReadWriteLock busyLock)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionDemandPool

    public GridDhtPartitionDemandPool(GridCacheContext<?,?> cctx,
                              ReadWriteLock busyLock)

Parameters:
  `cctx` - Cache context.
  `busyLock` - Shutdown lock.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015